visSave {visNetwork} | R Documentation

## Save a a visNetwork object to an HTML file

### Description

Save a a visNetwork object to an HTML file for sharing with others. The HTML can include it's dependencies in an adjacent directory or can bundle all dependencies into the HTML file (via base64 encoding).

### Usage

    visSave(graph, file, selfcontained = TRUE)

### Arguments

`graph` | : a visNetwork object
`file` | File to save HTML into
`selfcontained` | Whether to save the HTML as a single self-contained file (with external resources base64 encoded) or a file with external resources placed in an adjacent directory.

### Examples

    ## Not run:
    nodes <- data.frame(id = 1:3, group = c("B", "A", "B"))
    edges <- data.frame(from = c(1,2), to = c(2,3))

    network <- visNetwork(nodes, edges)
    network

    network %>% visSave(file = "network.html")
    # same as
    visSave(network, file = "network.html")

    ## End(Not run)

[Package visNetwork version 1.0.1 Index]